D-Bus 1.12.4

Data Fields
DBusHeader Struct Reference

Message header data and some cached details of it. More...

`#include <dbus-marshal-header.h>`

## Data Fields
DBusString | data
| Header network data, stored separately from body so we can independently realloc it.
DBusHeaderField | fields [DBUS_HEADER_FIELD_LAST+1]
| Track the location of each field in header.
dbus_uint32_t | padding: 3
| bytes of alignment in header
dbus_uint32_t | byte_order: 8
| byte order of header

## Detailed Description

Message header data and some cached details of it.

Definition at line 47 of file dbus-marshal-header.h.

## Field Documentation

## ◆ byte_order

dbus_uint32_t DBusHeader::byte_order

byte order of header

Definition at line 59 of file dbus-marshal-header.h.

## ◆ data

DBusString DBusHeader::data

Header network data, stored separately from body so we can independently realloc it.

Definition at line 49 of file dbus-marshal-header.h.

Referenced by _dbus_header_byteswap(), _dbus_header_copy(), _dbus_header_create(), _dbus_header_free(), _dbus_header_get_byte_order(), _dbus_header_get_field_basic(), _dbus_header_get_field_raw(), _dbus_header_get_flag(), _dbus_header_get_message_type(), _dbus_header_get_serial(), _dbus_header_init(), _dbus_header_load(), _dbus_header_reinit(), _dbus_header_set_field_basic(), _dbus_header_set_serial(), _dbus_header_toggle_flag(), _dbus_header_update_lengths(), _dbus_message_add_counter_link(), _dbus_message_get_network_data(), and dbus_message_marshal().

## ◆ fields

DBusHeaderField DBusHeader::fields[DBUS_HEADER_FIELD_LAST+1]

Track the location of each field in header.

Definition at line 54 of file dbus-marshal-header.h.

Referenced by _dbus_header_get_field_basic(), _dbus_header_get_field_raw(), and _dbus_header_load().

## ◆ padding

dbus_uint32_t DBusHeader::padding

bytes of alignment in header

Definition at line 58 of file dbus-marshal-header.h.

Referenced by _dbus_header_create(), _dbus_header_load(), and _dbus_header_reinit().

The documentation for this struct was generated from the following file:

- dbus-marshal-header.h